Summary:	A very flexible unit converter
Name:		convertall
Version:	0.6.1
Release:	%mkrel 2
License:	GPLv2+
Group:		Sciences/Mathematics
Url:		http://convertall.bellz.org
Source0:	http://sourceforge.net/projects/convertall/files/%{version}/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
# from Debian
Source2:	%{name}.1
Patch0:		%{name}-0.6.1-mga-remove-shebang.patch
Patch1:		%{name}-0.6.1-suse-python-bytecode-inconsistent-mtime_fix.patch
BuildRequires:	librsvg
BuildRequires:	python3-qt4
BuildRequires:	python3-sip
Requires:	python3-qt4
BuildArch:	noarch

%description
With ConvertAll, you can convert any unit in the large database to any other
compatible unit. If you want to convert from inches per decade, that's fine.
Or from meter-pounds. Or from cubic nautical miles. The units don't have to
make sense to anyone else.

%prep
%setup -qn ConvertAll
%patch0 -p1
%patch1 -p0

%build
# nothing

%install
python3 install.py \
	-p %{_prefix} \
	-b %{buildroot} \
	-i %{_datadir}/%{name}/icons \
	-d %{_docdir}/%{name}

# install menu entry
install -Dm 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop

# install menu icons
for s in 256 128 96 48 32 22 16 ; do
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/${s}x${s}/apps
rsvg-convert -w ${s} -h ${s} \
    icons/%{name}.svg -o \
    %{buildroot}%{_iconsdir}/hicolor/${s}x${s}/apps/%{name}.png
done
mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps
install -m 0644 icons/%{name}.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

# install man page
install -Dm 644 %{SOURCE2} %{buildroot}%{_mandir}/man1/%{name}.1

# remove unneeded files
rm -rf %{buildroot}%{_docdir}/%{name}/INSTALL
rm -rf %{buildroot}%{_docdir}/%{name}/LICENSE
rm -rf %{buildroot}%{_datadir}/%{name}/translations/*.ts
rm -rf %{buildroot}%{_datadir}/%{name}/%{name}.pro

%files
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/*
%{_docdir}/%{name}


%changelog
* Sat Feb 20 2016 umeabot <umeabot> 0.6.1-2.mga6
+ Revision: 972453
- Mageia 6 Mass Rebuild

* Thu Nov 05 2015 alexl <alexl> 0.6.1-1.mga6
+ Revision: 897879
- version 0.6.1
- del upstreamed stuff
- rediff/update patches
- install svg icon

* Sat Jan 17 2015 alexl <alexl> 0.6.0-1.mga5
+ Revision: 811150
- add man page
- fix rpmlint warning about inconsistent mtime in python?\226?\128?\130bytecode (convertall.pyc)
- add br python3-sip
- install docs in docdir
- add missing qt_ru.qm
- remove unneeded files
- add translations in desktop file
- imported package convertall

